Transcript LOL API
POST
/spaces/{spaceId}/prompts

Authorization

x-api-key
x-api-key<token>

API key from Dashboard → Account → Integrations. Prefer a dedicated key for Muse / agents. Keys look like tlol_sk_api_access_… (other tlol_sk_* role keys also work for REST). Example:

curl "https://transcript.lol/api/v1/me" \
  -H "x-api-key: tlol_sk_api_access_YOUR_KEY"

In: header

Path Parameters

spaceId*string

ID of the workspace.

Request Body

application/json

Prompt details

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://transcript.lol/api/v1/spaces/string/prompts" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "prompt": "string"  }'
{
  "id": "string",
  "title": "string",
  "prompt": "string",
  "sampleContent": "string",
  "adminManaged": true,
  "autoGenerate": true
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}